<template>
  <header class="b-header">
    <div class="l">
      <div class="b-header__body">
        <figure class="b-header__logo">
          <img :src="logoUrl" alt="TheBoardroom Africa" />
        </figure>
      </div>
    </div>
  </header>
</template>

<script>
export default {
  name: "AppHeader",
  data() {
    return {
      logoUrl: `${process.env.VUE_APP_API_URL}/wp-content/themes/tbra/assets/images/logo-primary.svg`
    };
  }
};
</script>

<style lang="scss">
.b-header {
  padding: 0.7rem 0;

  @include breakpoint(overPhone) {
    padding: 1.8rem 0;
  }

  &__body {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  &__logo {
    img {
      width: 9.3rem;

      @include breakpoint(overPhone) {
        width: 15.4rem;
      }
    }
  }
}
</style>
